4Suite™ API Documentation

# ► Module Ft.Server.Server.Xslt.Group

XSLT and XPath extensions supporting the 4SS group API
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: AddMemberElement, RemoveMemberElement |  |  |  | Functions: GetMemberPaths |  |  |  | Fields: ExtElements, ExtFunctions, SCORE_NS

## Classes

class AddMemberElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Adds a user or group to the specified group

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'member-path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>, 'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>}

### Fields

class RemoveMemberElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Removes a user or group from the specified group

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'member-path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>, 'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>}

### Fields

## Functions

GetMemberPaths(context, group)
Returns, as a node-set of 'path' elements, the full paths to all user resources that are members of the specified group

## Fields

ExtElements = {('http://xmlns.4suite.org/4ss/score', 'add-member'): <class Ft.Server.Server.Xslt.Group.AddMemberElement>, ('http://xmlns.4suite.org/4ss/score', 'remove-member'): <class Ft.Server.Server.Xslt.Group.RemoveMemberElement>}
ExtFunctions = {('http://xmlns.4suite.org/4ss/score', 'get-member-paths'): <function GetMemberPaths>}
SCORE_NS = 'http://xmlns.4suite.org/4ss/score'